Subject: Re: [PATCH next-20080819] drivers/usb/atm: Fix non-existing warn()

From: Greg KH <[email-masked]>
Date: Tue, 19 Aug 2008 13:02:07 -0700

On Tue, Aug 19, 2008 at 01:28:48PM +0200, Takashi Iwai wrote:
> Fix the die-hard warn() in drivers/usb/atm/usbatm.h that caused a
> build error.
> 
> Signed-off-by: Takashi Iwai <[email-masked]>
> ---
> diff --git a/drivers/usb/atm/usbatm.h b/drivers/usb/atm/usbatm.h
> index e6887c6..714dc14 100644
> --- a/drivers/usb/atm/usbatm.h
> +++ b/drivers/usb/atm/usbatm.h
> @@ -42,7 +42,7 @@
>  #ifdef DEBUG
>  #define UDSL_ASSERT(x)	BUG_ON(!(x))
>  #else
> -#define UDSL_ASSERT(x)	do { if (!(x)) warn("failed assertion '%s' at line %d", __stringify(x), __LINE__); } while(0)
> +#define UDSL_ASSERT(x)	do { if (!(x)) pr_warning("failed assertion '%s' at line %d", __stringify(x), __LINE__); } while(0)
>  #endif
>  
>  #define usb_err(instance, format, arg...)	\

Ah, sorry about that, I don't see how I missed it, I'll go fix this up.

Oh, you forgot the '\n' as well, I'll just convert this to a standard
printk() so everyone konws what is happening...

greg k-h